This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 80312 - Text Install hard drive ISO, multiple problems in bootdisk.img
Text Install hard drive ISO, multiple problems in bootdisk.img
Status: CLOSED NOTABUG
Product: Red Hat Public Beta
Classification: Retired
Component: anaconda (Show other bugs)
phoebe
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks: 79578
  Show dependency treegraph
 
Reported: 2002-12-24 05:43 EST by Warren Togami
Modified: 2007-04-18 12:49 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-28 10:26:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Warren Togami 2002-12-24 05:43:17 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20021218

Description of problem:
(I chose to install Phoebe from ISO images stored on my Windows vfat
partition.  I made the boot disk and booted into Anaconda.  It said graphical
mode was not available for hard drive installs so I used text mode installation.)

Within text mode Disk Druid there did not appear to be any option to format and
use partitions as ext3.  There was only ext2 in the list.  After installation I
see that I am indeed using only ext2 instead of ext3.

Version-Release number of selected component (if applicable):
Phoebe

How reproducible:
Always

Steps to Reproduce:
1. Install in text mode
2. Select partitions to format in Disk Druid

Actual Results:  
ext2, but no ext3 option.

Expected Results:  
ext3 should be there.
Comment 1 Jeremy Katz 2002-12-24 18:16:52 EST
Hm... works for me here.  Are there any messages on tty3 about a failure to load
the ext3 module (you can look in /tmp/anaconda.log during the install if they
scroll off the screen)
Comment 2 Warren Togami 2002-12-25 07:05:23 EST
Tested a CD booted NFS text install today, this problem didn't occur then.  This
with floppy booted installation again tomorrow.  Should there be any difference
between floppy and CD booted?
Comment 3 Jeremy Katz 2002-12-25 23:12:28 EST
Shouldn't be, and I tested both without any problems.
Comment 4 Warren Togami 2002-12-27 07:00:37 EST
Re-tested both CD and floppy booted hard drive ISO install.  There appears to be
a difference between CD and bootdisk.img booting.  From the CD boot prompt I
typed "text askmethod" in order to do a text mode installation.  All modules
loaded properly, I was able to use ext3 as well as configure the network device
and authentication, all of which were absent from the floppy booted text install.

Subsequent to CD booted installation my /etc/modules.conf had several entries,
while floppy booted installation was blank in /etc/modules.conf.

I highly suspect that many of the problems that I experienced in "Warren's
Phoebe Report, Day 1" were caused by the incomplete installation of a floppy
booted text mode ISO installation.  In this case several steps of the
installation were skipped entirely and modules like ext3 didn't load.
Comment 5 Jeremy Katz 2003-01-10 01:39:25 EST
I still haven't seen this in any of my testing here... can you retest when the
next beta comes out?
Comment 6 Michael Fulbright 2003-02-07 15:44:03 EST
Closing due to inactivity. If you have more information to add please reopen.
Comment 7 Warren Togami 2003-02-08 04:32:20 EST
Confirmed, floppy based hard drive install in Phoebe2 works unlike Phoebe1 which
had the problem described above.
Comment 8 Warren Togami 2003-02-27 14:58:53 EST
Mary Ellen Foster said:
I installed Redhat Phoebe 3 on my laptop last night and experienced the
same problems you describe in

    https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=80312

That is, I was unable to choose ext3 for my filesystems, only ext2. I was
booting from a floppy; I can try with a CD, but it would be a bit more
annoying for me to set that up (no CD burner on my home machine).

You say in the comments on the above bug report that the problem went
away with Phoebe 2. Did you try again with 3?

Thanks,

MEF
Comment 9 Mary Ellen Foster 2003-02-28 05:30:41 EST
Turns out it was a problem with the disk images at the mirror I was using 
(mirror.ac.uk). When I got the boot disk image directly from ftp.redhat.com, the install 
proceeded successfully. 
 
Sorry for the false alarm. :) 
 
MEF 

Note You need to log in before you can comment on or make changes to this bug.